package sinuhlu;

import java.io.BufferedWriter;
import java.io.FileWriter;
import java.io.IOException;

/**
 *
 * @author lsroubov
 */
public class Tabulka {

    private double[][] naplnTablku(int krok) {
        int radku = (360 / krok) + 1;
        double[][] pole = new double[radku][3];
        int r = 0;
        for (int i = 0; i <= 360; i += krok) {
            pole[r][0] = (double) i;
            pole[r][1] = (double) i * Math.PI / 180; //prevod na rad
            pole[r][2] = Math.sin(pole[r][1]);
            r++;
        }
        return (pole);
    }

    public void UlozTabulku(int krok, String nazev) throws IOException {
        try (BufferedWriter bw = new BufferedWriter(new FileWriter(nazev))) {
            String radka;
            double pole[][] = naplnTablku(krok);
            for (int r = 0; r < pole.length; r++) {
                radka = String.format("%8.0f; %8.4f; %8.4f;", pole[r][0], pole[r][1], pole[r][2]);
                bw.write(radka);
                bw.newLine();
                bw.flush();
            }
        } catch (Exception e) {
            System.err.println("Nelze psat do " + nazev);
        }
        //dokoncime priste
    }
}
